%global pkgname django-lint
%global obs_ver 0.13-12
%global commit 194ce26

Name:           python-django-lint
Version:        0.13
Release:        14%{?dist}
Summary:        Analyzes Django code looking for bugs and signs of poor quality

Group:          Development/Debuggers
License:        GPLv3+
URL:            https://github.com/lamby/django-lint
Source0:        https://github.com/lamby/django-lint/tarball/%{commit}/lamby-django-lint-%{commit}.tar.gz
BuildArch:      noarch


BuildRequires:  python2-devel
Requires:       python-django
Requires:       pylint

Provides:               %{pkgname} = %{version}-%{release}
Obsoletes:              %{pkgname} < %{obs_ver}

%description
Django Lint is a static analysis tool that checks (or "lints") projects 
and applications that use the Django web development framework.

It reports on common programming errors and bad code smells, including 
checking for null-able CharField field types, the use of brittle or deprecated 
Django features (such as auto_now_add) as well as the absence of recommended 
options in settings.py. It aims to encourage the development of high-quality 
re-usable Django applications.

Django Lint is currently implemented as a wrapper around PyLint.


%prep
%setup -q -n lamby-%{pkgname}-%{commit}
# remove unneeded /usr/bin/env-call
sed -i 's|^#!/usr/bin/env.*||' DjangoLint/script.py

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man1
%{__install} -pm 644 django-lint.1 %{buildroot}%{_mandir}/man1/



%files
%doc  README.rst COPYING
%{python_sitelib}/DjangoLint*
%{python_sitelib}/django_lint*
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 30 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.13-13
- minor spec cleanup

* Mon Apr 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.13-12
- package rename to python-django-lint

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.13-10
- Fix for bz 652188 utils.py:40:is_model:TypeError: '_Yes' object is not iterable

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Matthias Runge <mrunge@matthias-runge.de> - 0.13-8
- Rebuild

* Thu Jul 22 2010 Matthias Runge <mrunge@matthias-runge.de> - 0.13-7
- Fix errors for rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 29 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-5
- Fix execute permissions

* Mon Mar 29 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-4
- Install man page

* Sat Mar 27 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-3
- SPEC Fix: License is GPLv3+

* Mon Mar 01 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-2
- SPEC-Fixes (global instead of define), Source0 fixed

* Tue Feb 02 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-1
- Update to version 0.13

* Sun Jan 03 2010 Matthias Runge <mrunge@fedoraproject.org> 0.12-1
- Version bump 0.12

* Fri Dec 4 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-5
- SPEC fix for mock build
 
* Wed Dec 2 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-4
- SPEC fixes

* Mon Nov 23 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-1
- Version 0.11
- Initial RPM build
